Package org.apache.activemq.artemis.api.core.management

## Class ObjectNameBuilder

- java.lang.Object
- - org.apache.activemq.artemis.api.core.management.ObjectNameBuilder

-     public final class ObjectNameBuilder
      extends java.lang.Object

  Helper class to build ObjectNames for ActiveMQ Artemis resources.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ObjectNameBuilder` | `DEFAULT` | Default JMX domain for ActiveMQ Artemis resources.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ObjectNameBuilder` | `create​(java.lang.String domain)` |
    `static ObjectNameBuilder` | `create​(java.lang.String domain, java.lang.String brokerName)` |
    `static ObjectNameBuilder` | `create​(java.lang.String domain, java.lang.String brokerName, boolean jmxUseBrokerName)` |
    `javax.management.ObjectName` | `getAcceptorObjectName​(java.lang.String name)` | Returns the ObjectName used by AcceptorControl.
    `javax.management.ObjectName` | `getActiveMQServerObjectName()` | Returns the ObjectName used by the single `ActiveMQServerControl`.
    `javax.management.ObjectName` | `getAddressObjectName​(org.apache.activemq.artemis.api.core.SimpleString address)` | Returns the ObjectName used by AddressControl.
    `javax.management.ObjectName` | `getBridgeObjectName​(java.lang.String name)` | Returns the ObjectName used by BridgeControl.
    `javax.management.ObjectName` | `getBroadcastGroupObjectName​(java.lang.String name)` | Returns the ObjectName used by BroadcastGroupControl.
    `javax.management.ObjectName` | `getClusterConnectionObjectName​(java.lang.String name)` | Returns the ObjectName used by ClusterConnectionControl.
    `javax.management.ObjectName` | `getConnectionRouterObjectName​(java.lang.String name)` | Returns the ObjectName used by ConnectionRouterControl.
    `javax.management.ObjectName` | `getDivertObjectName​(java.lang.String name, java.lang.String address)` | Returns the ObjectName used by DivertControl.
    `javax.management.ObjectName` | `getManagementContextObjectName()` |
    `javax.management.ObjectName` | `getQueueObjectName​(org.apache.activemq.artemis.api.core.SimpleString address, org.apache.activemq.artemis.api.core.SimpleString name, org.apache.activemq.artemis.api.core.RoutingType routingType)` | Returns the ObjectName used by QueueControl.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final ObjectNameBuilder DEFAULT

      Default JMX domain for ActiveMQ Artemis resources.

  - ### Method Detail

    - #### create

          public static ObjectNameBuilder create​(java.lang.String domain)

    - #### create

          public static ObjectNameBuilder create​(java.lang.String domain,
                                                 java.lang.String brokerName)

    - #### create

          public static ObjectNameBuilder create​(java.lang.String domain,
                                                 java.lang.String brokerName,
                                                 boolean jmxUseBrokerName)

    - #### getActiveMQServerObjectName

          public javax.management.ObjectName getActiveMQServerObjectName()
                                                                  throws java.lang.Exception

      Returns the ObjectName used by the single `ActiveMQServerControl`.
      Throws:
        `java.lang.Exception`

    - #### getAddressObjectName

          public javax.management.ObjectName getAddressObjectName​(org.apache.activemq.artemis.api.core.SimpleString address)
                                                           throws java.lang.Exception

      Returns the ObjectName used by AddressControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `AddressControl`

    - #### getQueueObjectName

          public javax.management.ObjectName getQueueObjectName​(org.apache.activemq.artemis.api.core.SimpleString address,
                                                                org.apache.activemq.artemis.api.core.SimpleString name,
                                                                org.apache.activemq.artemis.api.core.RoutingType routingType)
                                                         throws java.lang.Exception

      Returns the ObjectName used by QueueControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `QueueControl`

    - #### getDivertObjectName

          public javax.management.ObjectName getDivertObjectName​(java.lang.String name,
                                                                 java.lang.String address)
                                                          throws java.lang.Exception

      Returns the ObjectName used by DivertControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `DivertControl`

    - #### getAcceptorObjectName

          public javax.management.ObjectName getAcceptorObjectName​(java.lang.String name)
                                                            throws java.lang.Exception

      Returns the ObjectName used by AcceptorControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `AcceptorControl`

    - #### getBroadcastGroupObjectName

          public javax.management.ObjectName getBroadcastGroupObjectName​(java.lang.String name)
                                                                  throws java.lang.Exception

      Returns the ObjectName used by BroadcastGroupControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `BroadcastGroupControl`

    - #### getBridgeObjectName

          public javax.management.ObjectName getBridgeObjectName​(java.lang.String name)
                                                          throws java.lang.Exception

      Returns the ObjectName used by BridgeControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `BridgeControl`

    - #### getClusterConnectionObjectName

          public javax.management.ObjectName getClusterConnectionObjectName​(java.lang.String name)
                                                                     throws java.lang.Exception

      Returns the ObjectName used by ClusterConnectionControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `ClusterConnectionControl`

    - #### getConnectionRouterObjectName

          public javax.management.ObjectName getConnectionRouterObjectName​(java.lang.String name)
                                                                    throws java.lang.Exception

      Returns the ObjectName used by ConnectionRouterControl.
      Throws:
        `java.lang.Exception`
      See Also:
        `ConnectionRouterControl`

    - #### getManagementContextObjectName

          public javax.management.ObjectName getManagementContextObjectName()
                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`